summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Zbigniew Baniewski2011-01-06 23:39:55 +0100
committer Robby Workman2011-01-10 22:04:23 +0100
commit891b53bdca63892b17a4414a450da56b8c403fc6 (patch)
tree8656ccdd4964e396f82fa7d363a21208390a86ce
parent5fd074fed290a64f394fa02104c9fac46fd23f59 (diff)
downloadslackbuilds-891b53bdca63892b17a4414a450da56b8c403fc6.tar.gz
audio/rebmp: Added (music player)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--audio/rebmp/README4
-rw-r--r--audio/rebmp/doinst.sh4
-rw-r--r--audio/rebmp/rebmp.SlackBuild83
-rw-r--r--audio/rebmp/rebmp.info10
-rw-r--r--audio/rebmp/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/audio/rebmp/README b/audio/rebmp/README
new file mode 100644
index 0000000000..8eddd8acf8
--- /dev/null
+++ b/audio/rebmp/README
@@ -0,0 +1,4 @@
+A fork of the died project Beep-Media-Player, which is an music player
+under Linux. Now it has new features: support ape lossless music file
+with cue sheet file, support FLAC loseless music files with cue sheet
+file, with a lyrics pannel, show lyrics when playing.
diff --git a/audio/rebmp/doinst.sh b/audio/rebmp/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/audio/rebmp/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/audio/rebmp/rebmp.SlackBuild b/audio/rebmp/rebmp.SlackBuild
new file mode 100644
index 0000000000..d4392f9638
--- /dev/null
+++ b/audio/rebmp/rebmp.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for ReBMP
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=rebmp
+VERSION=0.9.8.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf bmp
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd bmp
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README ChangeLog FAQ USAGE--READM--FIRST \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/rebmp/rebmp.info b/audio/rebmp/rebmp.info
new file mode 100644
index 0000000000..4650a68eb7
--- /dev/null
+++ b/audio/rebmp/rebmp.info
@@ -0,0 +1,10 @@
+PRGNAM="rebmp"
+VERSION="0.9.8.3"
+HOMEPAGE="http://code.google.com/p/rebmp/"
+DOWNLOAD="http://rebmp.googlecode.com/files/rebmp-0.9.8.3.tar.gz"
+MD5SUM="8a5464f7fd2fa0669cf28a774dcc16eb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/audio/rebmp/slack-desc b/audio/rebmp/slack-desc
new file mode 100644
index 0000000000..e269a2daac
--- /dev/null
+++ b/audio/rebmp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rebmp: rebmp (music player)
+rebmp:
+rebmp: ReBMP - Revitalised Beep Media Player - is a fork of the died project
+rebmp: Beep-Media-Player, which is an music player under Linux. Now it has
+rebmp: new features: support ape lossless music file with cue sheet file,
+rebmp: support FLAC loseless music files with cue sheet file, with a lyrics
+rebmp: panel, show lyrics when playing.
+rebmp:
+rebmp: http://code.google.com/p/rebmp/
+rebmp:
+rebmp: